# API Structure

### API Root

The root URL for the API depends on your account.  Please contact your account support representative to obtain the URL.

### API Structure

The API can be divided into the following sections:

* Utility endpoints
* Generic entity API
* RPC (remote procedure call) endpoints
* Import/export endpoints
* PDF document generation endpoints


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pakk.io/data-and-integrations/api/api-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
